package com.ruoyi.buyerapi.mapper;

import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerDeviceWorkhour;
import com.ruoyi.buyerapi.domain.BuyerDeviceWorkhourByProject;
import com.ruoyi.buyerapi.domain.BuyerEmpWorkhour;
import com.ruoyi.buyerapi.domain.BuyerEmpWorkhourByProject;

/**
 * 设备工时分摊记录Mapper接口
 *
 * @author ruoyi
 * @date 2022-09-22
 */
public interface BuyerDeviceWorkhourMapper
{
    public List<BuyerDeviceWorkhourByProject> listGrroupProject(BuyerDeviceWorkhourByProject buyerDeviceWorkhourByProject);

    public List<BuyerDeviceWorkhourByProject> listByProjectId(String projectId);

    public List<BuyerDeviceWorkhourByProject> listGrroupYearMonth(BuyerDeviceWorkhourByProject buyerDeviceWorkhourByProject);

    /**
     * 查询设备工时分摊记录列表
     *
     * @param buyeDeviceWorkhour 员工工时分摊记录
     * @return 员工工时分摊记录集合
     */
    public List<String> workDatelist(BuyerDeviceWorkhour buyeDeviceWorkhour);

    /**
     * 查询设备工时分摊记录
     *
     * @param id 设备工时分摊记录主键
     * @return 设备工时分摊记录
     */
    public BuyerDeviceWorkhour selectBuyerDeviceWorkhourById(String id);

    /**
     * 查询设备工时分摊记录列表
     *
     * @param buyerDeviceWorkhour 设备工时分摊记录
     * @return 设备工时分摊记录集合
     */
    public List<BuyerDeviceWorkhour> selectBuyerDeviceWorkhourList(BuyerDeviceWorkhour buyerDeviceWorkhour);

    /**
     * 新增设备工时分摊记录
     *
     * @param buyerDeviceWorkhour 设备工时分摊记录
     * @return 结果
     */
    public int insertBuyerDeviceWorkhour(BuyerDeviceWorkhour buyerDeviceWorkhour);

    /**
     * 修改设备工时分摊记录
     *
     * @param buyerDeviceWorkhour 设备工时分摊记录
     * @return 结果
     */
    public int updateBuyerDeviceWorkhour(BuyerDeviceWorkhour buyerDeviceWorkhour);

    /**
     * 删除设备工时分摊记录
     *
     * @param id 设备工时分摊记录主键
     * @return 结果
     */
    public int deleteBuyerDeviceWorkhourById(String id);

    /**
     * 批量删除设备工时分摊记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBuyerDeviceWorkhourByIds(String[] ids);

    /**
     * 删除设备工时分摊记录
     *
     * @param buyerDeviceWorkhour 员工工时分摊记录
     * @return 结果
     */
    public int deleteBuyerDeviceWorkhour(BuyerDeviceWorkhour buyerDeviceWorkhour);
}
